Bug 870162 - Cannot abandon simple paged result search
Summary: Cannot abandon simple paged result search
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-25 16:51 UTC by Noriko Hosoi
Modified: 2013-07-23 11:23 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-3.el6
Doc Type: Bug Fix
Doc Text:
Cause: The abandon request expects the operation exist. When sending an abort request, the search operation could have already finished and the operation object has been released. Consequence: Abandoning simple paged requests sometimes fails. Fix: It skips operation's existence checking, which is not needed. Result: Simple paged results is always successfully aborted.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:21:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Noriko Hosoi 2012-10-25 16:51:18 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/498

This enhancement "Ticket #260 - 389 DS does not support multiple paging controls on a single connection" broke the ability to abandon the on-going simple paged result search.

The abandon request expects the operation exist.  When sending an abort request, the search operation could have already finished and the operation object is released.

Plus, request page size is 0, it should be interpreted as abandoned.

Comment 5 Sankar Ramalingam 2012-11-20 01:08:12 UTC
From official acceptance tests, trac498 is passing. Hence marking the bug as Verified.

##############################trac498###############################
trac498 - test 2 types of abandons
trac498 - type 1: -abandon
Search returned Simple Paged Results Search abandoned
TestCase [trac498] result-> [PASS]
trac498 - type 2: -pg 0
Search returned Simple Paged Results Search abandoned
TestCase [trac498] result-> [PASS]


dn: uid=ttestuserds97,dc=example,dc=com
cn: testtestuserds97
uid: ttestuserds97
loop 1: 1: next page size (0)
loop 2: 0 cookies vs. 4 filters; resetting cookie
next_filter: (ou=*)
Search returned 0
Search returned Simple Paged Results Search abandoned
Search returned Operation completed without error

Successfully abandoned search
PASS

Comment 6 errata-xmlrpc 2013-02-21 08:21:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.